datablock ParticleData(swarmFighterHoverParticle)
{
 	dragCoefficient      = 3;
	gravityCoefficient   = -0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 525;
	lifetimeVarianceMS   = 55;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;
	colors[0]     = "0.7 0.7 0.7 0.2";
	colors[1]     = "0.6 0.6 0.6 0.0";
	sizes[0]      = 0.8;
	sizes[1]      = 1.2;
	times[0] = 0;
	times[1] = 1;

	useInvAlpha = false;
};
datablock ParticleEmitterData(swarmFighterHoverEmitter)
{
   ejectionPeriodMS = 20;
   periodVarianceMS = 5;
   ejectionVelocity = 1.0;
   velocityVariance = 1.0;
   ejectionOffset   = 0.6;
   thetaMin         = 0;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "swarmFighterHoverParticle";

   uiName = "SwarmFighter Hover";
};
datablock ProjectileData(swarmFighterProjectile)
{
   projectileShapeName = "add-ons/Weapon_Gun/bullet.dts";
   directDamage        = 8;
   directDamageType    = $DamageType::Gun;
   radiusDamageType    = $DamageType::Gun;

   brickExplosionRadius = 0;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 10;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 2;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse	     = 350;
   verticalImpulse	  = 1;
   explosion           = gunExplosion;
   particleEmitter     = "";

   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 00;
   lifetime            = 4000;
   fadeDelay           = 3500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";

   uiName = "";
};

datablock WheeledVehicleData(swarmFighterVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./swarmfighter3.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 2;
   
   numMountPoints = 1;
   mountThread[0] = "crouch";
//   mountThread[1] = "Root";
//   mountThread[2] = "Root";

	maxDamage = 20.00;
	destroyedLevel = 20.00;
	energyPerDamagePoint = 30;
	speedDamageScale = 1.00;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 0 0";
   //massBox = "2 5 1";

	maxSteeringAngle = 0.5;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	tireEmitter = swarmFighterHoverEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 10;         // Far distance from vehicle
	cameraOffset = 7.5;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.4;
   collisionTol = 0.1;        // Collision distance tolerance
   contactTol = 0.1;

	useEyePoint = true;	

	defaultTire	= swarmFighterTire;
	defaultSpring	= swarmFighterSpring;
//	flatTire	= swarmFighterFlatTire;
//	flatSpring	= swarmFighterFlatSpring;

   numWheels = 4;

	// Rigid Body
	mass = 150;
	density = 10.0;
	drag = 0.85;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 10;       // Play SoftImpact Sound
	hardImpactSpeed = 15;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 6500; //4000;       // Engine power
	engineBrake = 100;         // Braking when throttle is 0
	brakeTorque = 800;        // When brakes are applied
	maxWheelSpeed = 20;        // Engine scale by current speed / max speed

//	rollForce		= 900;
//	yawForce		= 600;
//	pitchForce		= 1000;
//	rotationalDrag		= 0.2;

	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

   isSled = false;

   forwardThrust		= 3000;  //3100
	reverseThrust		= 2900;
	lift			= 150;  //150
	maxForwardVel		= 30;
	maxReverseVel		= 8;
	horizontalSurfaceForce	= 80; //120   // Horizontal center "wing" (provides "bite" into the wind for climbing/diving and turning)
	verticalSurfaceForce	= 80; //120
	rollForce		= 3700;
	yawForce		= 2000; //2300
	pitchForce		= 2000; //2300
	rotationalDrag		= 2.5;
	stallSpeed		= 1;

//	createHeight	= 0.8;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	//mediumSplashSound = ""
	//hardSplashSound = "";
	//exitSplashSound = "";
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = engineidleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	//   explosion = VehicleExplosion;
	justcollided = 1;

   uiName = "MAS Swarm Fighter";
	rideable = true;
		lookUpLimit = 0.587;		
		lookDownLimit = 0.587;

	paintable = true;
   
   damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

   numDmgEmitterAreas = 1;

   initialExplosionProjectile =  vehicleExplosionProjectile; 
   initialExplosionOffset = 0;         //offset only uses a z value for now

   burnTime = 200; //1500

   finalExplosionProjectile = swarmFighterFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now


   minRunOverSpeed    = 30;   //how fast you need to be going to run someone over
   runOverDamageScale = 10;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 3; //how hard a person you're running over gets pushed
   
   // Advanced Steering
   steeringAutoReturn = false;
   // steeringAutoReturnRate = 0.9;
   // steeringAutoReturnMaxSpeed = 10;
   steeringUseStrafeSteering = false;
   // steeringStrafeSteeringRate = 0.1;

	minSwarmFJetSpeed = 25; //30

	//protection for passengers
	protectPassengersBurn   = true;  //protect passengers from burning?
	protectPassengersRadius = false;  //protect passengers from radius damage?
	protectPassengersDirect = true; //protect passengers from direct damage?

	
////////////////////
//Shooting scripts//
////////////////////

//ShootOnClick//

shootonclickswarmFighter=1;
	 
shootonclickswarmFighter_Hold=1;
shootonclickswarmFighter_ShootDelay=70;
shootonclickswarmFighter_ReShootDelay=70;
shootonclickswarmFighter_ProjectileCount=4;
shootonclickswarmFighter_RequiredSlot=0;
shootonclickswarmFighter_Sound=gunshot1Sound;

//Upper guns

shootonclickswarmFighter_Projectile[0]=swarmFighterProjectile;
shootonclickswarmFighter_Position[0]="0.5 0.8 0";
shootonclickswarmFighter_Velocity[0]="200 0 0";
shootonclickswarmFighter_Scale[0]="1 1 1";

shootonclickswarmFighter_Projectile[1]=swarmFighterProjectile;
shootonclickswarmFighter_Position[1]="0.5 -0.8 0";
shootonclickswarmFighter_Velocity[1]="200 0 0";
shootonclickswarmFighter_Scale[1]="1 1 1";

//Lower guns

shootonclickswarmFighter_Projectile[2]=swarmFighterProjectile;
shootonclickswarmFighter_Position[2]="0.5 0.7 -0.1";
shootonclickswarmFighter_Velocity[2]="200 0 0";
shootonclickswarmFighter_Scale[2]="1 1 1";

shootonclickswarmFighter_Projectile[3]=swarmFighterProjectile;
shootonclickswarmFighter_Position[3]="0.5 -0.7 -0.1";
shootonclickswarmFighter_Velocity[3]="200 0 0";
shootonclickswarmFighter_Scale[3]="1 1 1";
};

function swarmFightervehicle::onadd(%this,%obj)
{ 
	
	parent::onadd(%this,%obj);
//	   %obj.playThread(0,"propfast");

	SwarmFJetCheck(%obj);
	    
}
