
//---Explosion Debris---//

datablock ParticleData(swarmFighterFinalExplosionParticle)
{
	dragCoefficient      = 4;
	gravityCoefficient   = 0.5;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 400;
	lifetimeVarianceMS   = 50;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.8 1.0 0.8 0.7";
	colors[1]     = "0.9 1.0 0.9 0.5";
	colors[2]     = "0.1 0.1 0.1 0.1";
	sizes[0]      = 0.5;
	sizes[1]      = 0.5;
	sizes[2]      = 0.3;
	times[0] = 0;
	times[1] = 0.3;
	times[2] = 1;

	useInvAlpha = true;
};
datablock ParticleEmitterData(swarmFighterFinalExplosionEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 1.0;
   ejectionOffset   = 0;
   thetaMin         = 0;
   thetaMax         = 1;
   phiReferenceVel  = 0;
   phiVariance      = 1;
   overrideAdvance = false;
   particles = "swarmFighterFinalExplosionParticle";

   uiName = "";
//   emitterNode = TenthEmitterNode;
};

datablock DebrisData(swarmFighterDebris)
{
	emitters = "swarmFighterFinalExplosionEmitter";

	render2D = true;
	texture = "base/data/particles/cloud";

//	shapeFile = "";
	lifetime = 2.0;
	minSpinSpeed = -1;
	maxSpinSpeed = 1;
	elasticity = 0.5;
	friction = 0.1;
	numBounces = 1;
	staticOnMaxBounce = false;
	snapOnMaxBounce = false;
	fade = true;
	ignoreWater = false;
	gravModifier = 1;
	baseRadius = 0.3;
};

//---ExplosionSmoke---//

datablock ParticleData(swarmFighterFinalExplosionSmokeParticle)
{
	dragCoefficient      = 6;
	gravityCoefficient   = -0.2;
	inheritedVelFactor   = 0.2;
	constantAcceleration = 0.0;
	lifetimeMS           = 800;
	lifetimeVarianceMS   = 50;
	textureName          = "base/data/particles/cloud";
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "0.3 0.3 0.3 0.5";
	colors[1]     = "0.1 0.1 0.1 0.0";
//	colors[2]     = "0.1 0.1 0.1 0.1";
	sizes[0]      = 3.0;
	sizes[1]      = 6.0;
//	sizes[2]      = 0.3;
	times[0] = 0;
	times[1] = 1;
//	times[2] = 1;

	useInvAlpha = true;
};


datablock ParticleEmitterData(swarmFighterFinalExplosionSmokeEmitter)
{
   ejectionPeriodMS = 6;
   periodVarianceMS = 2;
   ejectionVelocity = 0.1;
   velocityVariance = 0.0;
   ejectionOffset   = 3.0;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "swarmFighterFinalExplosionSmokeParticle";

   uiName = "";
};


//---ExplosionFlash---//

datablock ParticleData(swarmFighterFinalExplosionFlashParticle)
{
	dragCoefficient      = 4;
	gravityCoefficient   = 0;
	inheritedVelFactor   = 0;
	constantAcceleration = 0.0;
	lifetimeMS           = 50;
	lifetimeVarianceMS   = 10;
	textureName          = "base/data/particles/star1";
	spinSpeed		= 60.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	colors[0]     = "1.0 1.0 1.0 0.7";
	colors[1]     = "0.0 0.5 1.0 0.0";
//	colors[2]     = "0.1 0.1 0.1 0.1";
	sizes[0]      = 6.0;
	sizes[1]      = 12.0;
//	sizes[2]      = 0.3;
	times[0] = 0;
	times[1] = 1;
//	times[2] = 1;

	useInvAlpha = false;
};


datablock ParticleEmitterData(swarmFighterFinalExplosionFlashEmitter)
{
   ejectionPeriodMS = 8;
   periodVarianceMS = 2;
   ejectionVelocity = 0;
   velocityVariance = 0;
   ejectionOffset   = 0.02;
   thetaMin         = 0;
   thetaMax         = 180;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "swarmFighterFinalExplosionFlashParticle";

   uiName = "SwarmF Explosion Flash";
};

//---Final Explosion---//

//datablock ExplosionData(swarmFighterFinalExplosion : vehicleFinalExplosion)
datablock ExplosionData(swarmFighterFinalExplosion)
{

	lifeTimeMS = 150;

	particleEmitter = swarmFighterFinalExplosionSmokeEmitter;
//	particleEmitter = swarmFighterFinalExplosionFlashEmitter;
	particleDensity = 10;
	particleRadius = 0.03;

	emitter[0] = swarmFighterFinalExplosionFlashEmitter;

	debris = swarmFighterDebris;
	debrisNum = 10;
	debrisNumVariance = 3;
	debrisPhiMin = 0;
	debrisPhiMax = 360;
	debrisThetaMin = 0;
	debrisThetaMax = 180;
	debrisVelocity = 15;
	debrisVelocityVariance = 5;

	damageRadius = 6;
	radiusDamage = 140;

	impulseRadius = 6;
	impulseForce = 400;
};

datablock ProjectileData(swarmFighterFinalExplosionProjectile : vehicleFinalExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = swarmFighterFinalExplosion;

   directDamageType  = $DamageType::VehicleExplosion;
   radiusDamageType  = $DamageType::VehicleExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 10;
   
   uiName = "";
};
